| Home | Libraries | People | FAQ | More

##### value::kind

Returns the kind of this JSON value.

###### Synopsis

    json::kind
    kind() const;

###### Description

This function returns the discriminating enumeration constant of type `json::kind` corresponding to the underlying representation stored in the container.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.